Bug 144 - QSampler could not set Port 0 parameter value in device dialog.
Summary: QSampler could not set Port 0 parameter value in device dialog.
Status: ASSIGNED
Alias: None
Product: QSampler
Classification: Unclassified
Component: qsampler (show other bugs)
Version: SVN Trunk
Hardware: PC Linux
: P2 normal
Assignee: Rui Nuno Capela
URL:
Depends on:
Blocks:
 
Reported: 2010-03-14 19:30 CET by Nikita Zlobin
Modified: 2013-06-01 12:57 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Zlobin 2010-03-14 19:30:19 CET
This error occures when I close a dialog with selected device. It occures both, with midi and audio devices, but 
when audio device selected, qsampler faults. LinuxSampler is not affected.

I closed dialog three times. First two 
Comment 1 Christian Schoenebeck 2013-05-31 19:50:57 CEST
Does this problem still exist, or can this report be closed now?
Comment 2 Christian Schoenebeck 2013-06-01 12:57:43 CEST
Reporter replied by email:

>>>>>>>> Quote >>>>>>>>

As well, may be closed.
I just did not try to press create, which in case of existing device means 
same as 'Apply' (quite unexpected). I did not need even ti close dialog, just 
to switch to other device or devices category (audio/midi), than back. So, it 
is is more like "Uncareful gui design" bug.

One solution, that i see, is to have both buttpns — "Create" and "Apply", show 
only making sence one.

<<<<<<<< Quote <<<<<<<<